A list of history entries.
OID reference
rlHistoryTable
1.3.6.1.4.1.171.11.44.2.49.5
Description
A list of history entries.
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.171.11.44.2.49 (rlRmonControl)
- Node code
- 5
- Node name
- rlHistoryTable
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.171.11.44.2.49.5
- URN notation
- urn:oid:1.3.6.1.4.1.171.11.44.2.49.5
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 171 11 44 2 49 5}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) rlRmonControl(49) rlHistoryTable(5)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/171/11/44/2/49/5
- /ISO/Identified-Organization/6/1/4/1/171/11/44/2/49/5
- /ISO/3/6/1/4/1/171/11/44/2/49/5
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/dlink/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprise/d-link/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprise/company/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprise/my/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprise/nms/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprises/dlink/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprises/d-link/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprises/company/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprises/my/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/enterprises/nms/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/dlink/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/d-link/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/company/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/my/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/ldap-enterprise/nms/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- /iso/identified-organization/dod/internet/private/vendor-objects/dlink/dlink-mgmt/des6300Product/rnd/rlRmonControl/rlHistoryTable
- Additional combinations skipped.
SNMP properties
- Value type
- SEQUENCE OF RlHistoryEntry
- Maximum access defined by MIB
- not-accessible
- Status in MIB
- mandatory
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
rlHistoryTable OBJECT-TYPE
SYNTAX SEQUENCE OF RlHistoryEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"A list of history entries."
::= { rlRmonControl 5 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
rlHistoryTable · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: rlHistoryTable
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"rlHistoryTable",
"OBJECT-TYPE",
"SYNTAX",
"SEQUENCE",
"OF",
"RlHistoryEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"A list of history entries.\"",
"::=",
"{",
"rlRmonControl",
"5",
"}"
],
"syntax_tree": [
[
"conceptualTable",
[
"row",
"RlHistoryEntry"
]
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"A list of history entries."
],
null,
null,
null,
null
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: DES6300 MIB(0131140909).zip
Module: DLINK-RADLAN-MIB
See published definition above
· Download DlkApollo.mibModule imports
{'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)
Direct children (1)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.44.2.49.5.1 | rlHistoryEntry | 4 | 4 |
Siblings (7)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.44.2.49.1 | rlRmonControlMibVersion | 0 | 0 | |
| 1.3.6.1.4.1.171.11.44.2.49.2 | rlRmonControlHistoryControlQuotaBucket | 0 | 0 | |
| 1.3.6.1.4.1.171.11.44.2.49.3 | rlRmonControlHistoryControlMaxGlobalBuckets | 0 | 0 | |
| 1.3.6.1.4.1.171.11.44.2.49.4 | rlHistoryControlTable | 1 | 8 | |
| 1.3.6.1.4.1.171.11.44.2.49.6 | rlControlHistoryControlQuotaBucket | 0 | 0 | |
| 1.3.6.1.4.1.171.11.44.2.49.7 | rlControlHistoryControlMaxGlobalBuckets | 0 | 0 | |
| 1.3.6.1.4.1.171.11.44.2.49.8 | rlControlHistoryMaxEntries | 0 | 0 |